Skip to main content
`Ctrl`+`K`

# TaoTermSetFDDelta

Set the increment used for finite difference derivative approximations in methods like `TaoTermComputeGradientFD()`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermSetFDDelta(TaoTerm term, PetscReal delta)

Logically collective

## Input Parameters

- term - a `TaoTerm`

- delta - the finite difference increment

## Options Database Key

- -tao_term_fd_delta - the above increment

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TaoTermGetFDDelta()`, `TaoTermComputeGradientFD()`, `TaoTermComputeGradientSetUseFD()`, `TaoTermComputeGradientGetUseFD()`, `TaoTermComputeHessianFD()`, `TaoTermComputeHessianSetUseFD()`, `TaoTermComputeHessianGetUseFD()`

## Level

advanced

## Location

src/tao/term/interface/taoterm.c

## Examples

src/tao/unconstrained/tutorials/rosenbrock1_taoterm.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages